<?php

namespace App\Http\Requests\Admin;

use App\Http\Requests\ApiFormRequest;

final class AdminCurrencyUpdateRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'name' => ['sometimes', 'string', 'max:64'],
            'is_enabled' => ['sometimes', 'boolean'],
            'is_bettable' => ['sometimes', 'boolean'],
        ];
    }
}
